# $Revision: 1.38 $, $Date: 2010/04/15 11:58:30 $
# TODO:
# - shared gdchart+gd
# - 17 3 * * * /usr/local/sbin/nessus-update-plugins in cron (register)
# - register banner
Summary:	Nessus core package
Summary(pl.UTF-8):	Główny pakiet Nessusa
Name:		nessus-core
Version:	2.2.7
Release:	3
License:	GPL
Group:		Networking
Source0:	ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	2dd8c116b435d3ec698d3caed0b48859
Source1:	nessusd.init
URL:		http://www.nessus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libnasl-devel >= %{version}
BuildRequires:	libtool
BuildRequires:	nessus-libs-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# keep in sync with nessus-libs!
%define		_localstatedir		/var/lib

%description
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains core part of Nessus.

%description -l pl.UTF-8
Celem projektu "Nessus" jest dostarczenie społeczności internetowej
wolnodostępnego, potężnego, aktualnego i łatwego w użyciu zdalnego
skanera bezpieczeństwa (tzn. oprogramowania, które zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy źli ludzie mogą się
do niej włamać lub jej nadużyć w jakiś sposób).

Ten pakiet zawiera podstawową część Nessusa.

%package -n nessusd
Summary:	Nessus daemon
Summary(pl.UTF-8):	Demon Nessusa
Group:		Networking
Requires(post,preun):	/sbin/chkconfig
Requires:	libnasl >= %{version}
Requires:	nessus-libs >= %{version}
Requires:	rc-scripts

%description -n nessusd
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains the Nessus daemon.

%description -n nessusd -l pl.UTF-8
Celem projektu "Nessus" jest dostarczenie społeczności internetowej
wolnodostępnego, potężnego, aktualnego i łatwego w użyciu zdalnego
skanera bezpieczeństwa (tzn. oprogramowania, które zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy źli ludzie mogą się
do niej włamać lub jej nadużyć w jakiś sposób).

Ten pakiet zawiera demona Nessusa.

%package -n nessus-client
Summary:	Nessus client
Summary(pl.UTF-8):	Klient nessusa
Group:		Networking

%description -n nessus-client
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains the Nessus client.

%description -n nessus-client -l pl.UTF-8
Celem projektu "Nessus" jest dostarczenie społeczności internetowej
wolnodostępnego, potężnego, aktualnego i łatwego w użyciu zdalnego
skanera bezpieczeństwa (tzn. oprogramowania, które zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy źli ludzie mogą się
do niej włamać lub jej nadużyć w jakiś sposób).

Ten pakiet zawiera klienta Nessusa.

%package -n nessus-client-gtk
Summary:	Nessus client with GTK+ GUI
Summary(pl.UTF-8):	Klient Nessusa z graficznym interfejsem GTK+
Group:		Networking
Requires:	nessus-client = %{version}-%{release}

%description -n nessus-client-gtk
Nessus client with GTK+ GUI.

%description -n nessus-client-gtk -l pl.UTF-8
Klient Nessusa z graficznym interfejsem GTK+.

%package -n nessus-devel
Summary:	Header files for Nessus plugins development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek Nesussa
Group:		Networking
Requires:	nessus-libs-devel >= %{version}

%description -n nessus-devel
Header files for Nessus plugins development.

%description -n nessus-devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek Nesussa.

%prep
%setup -q -n %{name}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-gtk
#--enable-syslog		 log messages via syslog()
#--enable-tcpwrappers	use the libwrap.a library
#--enable-unix-socket=/path	use a unix socket for client server communication
#--enable-release		set the compiler flags to -O
#--with-x				use the X Window System

%{__make}

mv -f nessus/nessus nessus-gtk

%{__make} -C nessus clean
sed -e 's@^#define USE_GTK 1@/* #undef USE_GTK */@' include/config.h > config.tmp
mv -f config.tmp include/config.h
%{__make} -C nessus \
	GTKLIBS= \
	GTKCONFIG_CFLAGS= \
	GLIBCONFIG_CFLAGS= \
	X_LIBS= \
	USE_GTK=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/nessus/logs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install nessus-gtk $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nessusd
install nessus-services $RPM_BUILD_ROOT%{_localstatedir}/nessus/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n nessusd
/sbin/chkconfig --add nessusd
%service nessusd restart "nessus daemon"
if [ "$1" = 1 ]; then
	echo "Don't forget about %{_sysconfdir}/nessus/nessusd.conf file!"
	echo "Note that if you don't have a nessusd.conf file, nessusd will create one for you!"
fi

%preun -n nessusd
if [ "$1" = "0" ]; then
	%service nessusd stop
	/sbin/chkconfig --del nessusd
fi

%files -n nessusd
%defattr(644,root,root,755)
%doc CHANGES README_SSL TODO doc/{*.txt,Top20*,WARNING.En,nsr.dtd,ntp}
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/nessusd
%{_mandir}/man8/*
%{_libdir}/nessus
%{_localstatedir}/nessus/nessus-services
%{_sysconfdir}/nessus
%dir %{_localstatedir}/nessus/logs

%files -n nessus-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/nessus-gtk
%{_mandir}/man1/*

%files -n nessus-client-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nessus-gtk

%files -n nessus-devel
%defattr(644,root,root,755)
%dir %{_includedir}/nessus
%{_includedir}/nessus/*
%exclude %{_includedir}/nessus/includes.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nessus-core.spec,v $
Revision 1.38  2010/04/15 11:58:30  baggins
- rel 3

Revision 1.37  2010/04/03 17:21:49  glen
- release 2

Revision 1.36  2007/03/05 00:09:49  glen
- missing dir

Revision 1.35  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.33  2006/04/20 17:06:22  glen
- fix chkconfig deps, use %service

Revision 1.32  2006/03/27 00:50:47  wolvverine
- add lost file

Revision 1.31  2006/03/26 23:12:06  wolvverine
- up to 2.2.7

Revision 1.30  2005/08/13 09:38:41  glen
- info where to get nessusd.conf

Revision 1.29  2005/08/13 06:58:01  dzeus
- up to 2.2.5

Revision 1.28  2005/03/28 10:55:21  adamg
- updated to 2.2.4

Revision 1.27  2005/02/20 10:18:25  adamg
- updated to 2.2.3

Revision 1.26  2005/02/08 12:47:22  qboosh
- updated to 2.2.2a

Revision 1.25  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.24  2004/09/25 02:06:29  domelu
- updated to 2.0.12 && removed SECURITY note

Revision 1.23  2004/08/10 13:43:51  blues
- SECURITY note

Revision 1.22  2004/03/28 18:44:42  qboosh
- updated to 2.0.10a

Revision 1.21  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.20  2003/10/12 01:13:57  qboosh
- added logs dir to nessusd

Revision 1.19  2003/10/10 11:14:59  qboosh
- /var/lib/nessus dir moved to -libs; killed /var/nessus

Revision 1.18  2003/10/03 09:19:10  adamg
- updated to 2.0.8

Revision 1.17  2003/09/20 22:54:58  ankry
- added /var/nessus; clean it in %%preun

Revision 1.16  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.15  2003/08/19 12:44:29  aniou
- upgrade to 2.0.7
- add init file to nessus daemon

Revision 1.14  2003/07/02 14:46:18  qboosh
- build gtk and non-gtk client; updated todo

Revision 1.13  2003/07/02 13:34:55  qboosh
- some descriptions, more docs

Revision 1.12  2003/06/17 22:32:24  mmazur
- BR: libpcap

Revision 1.11  2003/06/02 07:08:10  misi3k
- missing in action update to 2.0.6a

Revision 1.10  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/05 08:19:11  misi3k
- updated to 2.0.4
- removed DESTDIR patch (not needed)

Revision 1.8  2003/04/03 11:22:05  misi3k
- rel down to 0.1

Revision 1.7  2003/04/03 11:15:20  misi3k
- updated to 2.0.3

Revision 1.6  2003/03/18 10:59:46  misiek
- updated to 2.0.1 and enabled gtk client by default

Revision 1.5  2003/02/27 19:19:13  pbern
- add BR
- need new version DESTDIR patch

Revision 1.4  2003/02/27 18:36:48  pbern
- update do 2.0

Revision 1.3  2002/11/04 16:18:20  mmazur
- added building nessus-devel package
- todo: add client-gtk package

Revision 1.2  2002/11/03 19:25:35  ankry
- adapterized

Revision 1.1  2002/11/03 17:47:39  mmazur
- I have to finish this
